'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { Formik, Form, Field } from 'formik';
import React from 'react';
import Swal from 'sweetalert2';
import * as Yup from 'yup';

export default function() {
    const submitForm = () => {
        const toast = Swal.mixin({
            toast: true,
            position: 'top',
            showConfirmButton: false,
            timer: 3000,
        });
        toast.fire({
            icon: 'success',
            title: 'فرم با موفقیت ارسال شد',
            padding: '10px 20px',
        });
    };

    const SubmittedForm = Yup.object().shape({
        select: Yup.string().required('لطفا فیلد را انتخاب کنید'),
    });

    return (
        <PanelCodeHighlight
            title="انتخاب کنید"
        >
            <div className="mb-5">
                <Formik
                    initialValues={{
                        select: '',
                    }}
                    validationSchema={SubmittedForm}
                    onSubmit={() => {}}
                >
                    {({ errors, submitCount, touched }) => (
                        <Form className="space-y-5">
                            <div className={submitCount ? (errors.select ? 'has-error' : 'has-success') : ''}>
                                <Field as="select" name="select" className="form-select">
                                    <option value="">انتخاب کنید</option>
                                    <option value="One">منوی یک</option>
                                    <option value="Two">منوی دو</option>
                                    <option value="Three">منوی 3</option>
                                </Field>
                                {submitCount ? (
                                    errors.select ? (
                                        <div className=" mt-1 text-danger">{errors.select}</div>
                                    ) : (
                                        <div className=" mt-1 text-[#1abc9c]">نمونه بازخورد انتخاب سفارشی معتبر</div>
                                    )
                                ) : (
                                    ''
                                )}
                            </div>
                            <button
                                type="submit"
                                className="btn btn-primary !mt-6"
                                onClick={() => {
                                    if (touched.select && !errors.select) {
                                        submitForm();
                                    }
                                }}
                            >
                                ارسال
                            </button>
                        </Form>
                    )}
                </Formik>
            </div>
        </PanelCodeHighlight>
    );
}
